﻿Imports System.IO
Public Class Form1
    Private flgState As Boolean = True
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        MyFolderBrowserDialog.ShowDialog()
        txtFolderName.Text = MyFolderBrowserDialog.SelectedPath
        lstFiles.Items.Clear()
    End Sub

    Private Sub bWatch_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles bWatch.Click
        If Not (txtFolderName.Text = "") Then
            If (flgState) Then
                MyFileSystemWatcher.EnableRaisingEvents = True
                bWatch.Text = "Стоп"
                flgState = False
            Else
                MyFileSystemWatcher.EnableRaisingEvents = False
                bWatch.Text = "Старт"
                flgState = True
            End If
        Else
            MessageBox.Show("Не указан путь")
        End If
    End Sub

    Private Sub MyFileSystemWatcher_Changed(ByVal sender As Object, ByVal e As System.IO.FileSystemEventArgs) Handles MyFileSystemWatcher.Changed
        lstFiles.Items.Add("Файл " & e.FullPath & " был изменен")
    End Sub

    Private Sub MyFileSystemWatcher_Created(ByVal sender As Object, ByVal e As System.IO.FileSystemEventArgs) Handles MyFileSystemWatcher.Created
        lstFiles.Items.Add("Файл " & e.FullPath & " был создан")
    End Sub

    Private Sub MyFileSystemWatcher_Deleted(ByVal sender As Object, ByVal e As System.IO.FileSystemEventArgs) Handles MyFileSystemWatcher.Deleted
        lstFiles.Items.Add("Файл " & e.FullPath & " был удален")
    End Sub

    Private Sub MyFileSystemWatcher_Renamed(ByVal sender As Object, ByVal e As System.IO.RenamedEventArgs) Handles MyFileSystemWatcher.Renamed
        lstFiles.Items.Add("Файл " & e.FullPath & " был переименован")
    End Sub
End Class
